[SciPy-dev] Are we using the latest ODEPACK?

eric jones eric at enthought.com
Tue Oct 1 23:36:52 CDT 2002


> On Tue, 1 Oct 2002, eric jones wrote:
> 
> > Are we using this version of ODEPACK, or an older one?
> 
> The old one.
> 
> > If we're using an older one, do you think we should upgrade before
> > trying to release 0.2.0?
> 
> Actually, I think that the integrate module should be rewritten for
> using f2py generated interfaces. So, I would suggest postponing this
> upgrade for the next scipy release.

OK. F2py generated interfaces sounds like it is a good idea.

> 
> Since I am using quite actively ODE solvers right now and hence I am
> interested in getting the integrate module improved, documented and
> tested; I could spend some time with it, but not in the next coming
few
> weeks.

All very good things.

> 
> Btw, a nice date for 0.2.0 would be the same or soon after when Python
> 2.2.2 will be released, may be within a week or two. So that Scipy
could
> be tested against Python 2.2.2 before its release.

I think this is doable.  I continue to spend all my available
programming time on weave.  However, the end is in sight for this --
perhaps 2 more nights of work.  After that, I will focus on the release.

We are dang close to having a usable bug tracker (Round-Up) running.  It
actually works now, but we have a few kinks to work out before we turn
everyone loose on it.  Hopefully it will be up by Thursday and we can
use it to manage the release process in a semi-organized way.

eric




More information about the Scipy-dev mailing list